<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketSettingsBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d68/a05269.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketSettingsBase Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Market settings base class.  
 <a href="../../dd/d68/a05269.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionMarketSettingsBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../dd/d68/a05269.png" usemap="#ExpansionMarketSettingsBase_map" alt=""/>
  <map id="ExpansionMarketSettingsBase_map" name="ExpansionMarketSettingsBase_map">
<area href="../../d5/df8/a04353.html" alt="ExpansionSettingBase" shape="rect" coords="207,0,404,24"/>
<area href="../../de/d7d/a05273.html" title="Market settings v2 (and v3) base class." alt="ExpansionMarketSettingsBaseV2" shape="rect" coords="103,112,300,136"/>
<area href="../../d7/d51/a08077.html" title="Market settings v2 class." alt="ExpansionMarketSettingsV2" shape="rect" coords="310,112,507,136"/>
<area href="../../de/d02/a08081.html" title="Market settings class." alt="ExpansionMarketSettings" shape="rect" coords="0,168,197,192"/>
<area href="../../db/d63/a05277.html" title="Market settings v3 class." alt="ExpansionMarketSettingsV3" shape="rect" coords="207,168,404,192"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a734df0461401a2314bb260b00897e3f1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a734df0461401a2314bb260b00897e3f1">MarketSystemEnabled</a> = true</td></tr>
<tr class="separator:a734df0461401a2314bb260b00897e3f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9faea17412fa7157e53f17e84938fcfb"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; ref <a class="el" href="../../d3/dc0/a05573.html">ExpansionMarketNetworkCategory</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a9faea17412fa7157e53f17e84938fcfb">NetworkCategories</a></td></tr>
<tr class="separator:a9faea17412fa7157e53f17e84938fcfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39c6a79f5cb78196008af9f4f45ac5f8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a39c6a79f5cb78196008af9f4f45ac5f8">CurrencyIcon</a></td></tr>
<tr class="separator:a39c6a79f5cb78196008af9f4f45ac5f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e466a394f2df88dd8fe377aa9762065"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a7e466a394f2df88dd8fe377aa9762065">ATMSystemEnabled</a> = true</td></tr>
<tr class="separator:a7e466a394f2df88dd8fe377aa9762065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a590edaae6d642d5438488553642d97cb"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a590edaae6d642d5438488553642d97cb">MaxDepositMoney</a> = 100000</td></tr>
<tr class="separator:a590edaae6d642d5438488553642d97cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56225eb069f4dc97c35dfcf6dc9133fd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a56225eb069f4dc97c35dfcf6dc9133fd">DefaultDepositMoney</a> = 0</td></tr>
<tr class="separator:a56225eb069f4dc97c35dfcf6dc9133fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50d90a828d12b17312562b156a668452"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a50d90a828d12b17312562b156a668452">ATMPlayerTransferEnabled</a> = true</td></tr>
<tr class="separator:a50d90a828d12b17312562b156a668452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a868159e3a21c000f8de6adc32721639d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a868159e3a21c000f8de6adc32721639d">ATMPartyLockerEnabled</a> = true</td></tr>
<tr class="separator:a868159e3a21c000f8de6adc32721639d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38ce3c988709ceb5daa40652d6234a87"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d68/a05269.html#a38ce3c988709ceb5daa40652d6234a87">MaxPartyDepositMoney</a> = 100000</td></tr>
<tr class="separator:a38ce3c988709ceb5daa40652d6234a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Market settings base class. </p>
<p ><a class="el" href="../../d0/deb/a01508.html">ExpansionMarketSettings.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00016">16</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a868159e3a21c000f8de6adc32721639d" name="a868159e3a21c000f8de6adc32721639d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a868159e3a21c000f8de6adc32721639d">&#9670;&#160;</a></span>ATMPartyLockerEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketSettingsBase::ATMPartyLockerEnabled = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00026">26</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a50d90a828d12b17312562b156a668452" name="a50d90a828d12b17312562b156a668452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50d90a828d12b17312562b156a668452">&#9670;&#160;</a></span>ATMPlayerTransferEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketSettingsBase::ATMPlayerTransferEnabled = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00025">25</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a7e466a394f2df88dd8fe377aa9762065" name="a7e466a394f2df88dd8fe377aa9762065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e466a394f2df88dd8fe377aa9762065">&#9670;&#160;</a></span>ATMSystemEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketSettingsBase::ATMSystemEnabled = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00022">22</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a39c6a79f5cb78196008af9f4f45ac5f8" name="a39c6a79f5cb78196008af9f4f45ac5f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39c6a79f5cb78196008af9f4f45ac5f8">&#9670;&#160;</a></span>CurrencyIcon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketSettingsBase::CurrencyIcon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00021">21</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a56225eb069f4dc97c35dfcf6dc9133fd" name="a56225eb069f4dc97c35dfcf6dc9133fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56225eb069f4dc97c35dfcf6dc9133fd">&#9670;&#160;</a></span>DefaultDepositMoney</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketSettingsBase::DefaultDepositMoney = 0</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00024">24</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a734df0461401a2314bb260b00897e3f1" name="a734df0461401a2314bb260b00897e3f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734df0461401a2314bb260b00897e3f1">&#9670;&#160;</a></span>MarketSystemEnabled</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketSettingsBase::MarketSystemEnabled = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00018">18</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a590edaae6d642d5438488553642d97cb" name="a590edaae6d642d5438488553642d97cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a590edaae6d642d5438488553642d97cb">&#9670;&#160;</a></span>MaxDepositMoney</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketSettingsBase::MaxDepositMoney = 100000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00023">23</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a38ce3c988709ceb5daa40652d6234a87" name="a38ce3c988709ceb5daa40652d6234a87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38ce3c988709ceb5daa40652d6234a87">&#9670;&#160;</a></span>MaxPartyDepositMoney</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketSettingsBase::MaxPartyDepositMoney = 100000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00027">27</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<a id="a9faea17412fa7157e53f17e84938fcfb" name="a9faea17412fa7157e53f17e84938fcfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9faea17412fa7157e53f17e84938fcfb">&#9670;&#160;</a></span>NetworkCategories</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt;ref <a class="el" href="../../d3/dc0/a05573.html">ExpansionMarketNetworkCategory</a>&gt; ExpansionMarketSettingsBase::NetworkCategories</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/deb/a01508_source.html#l00020">20</a> of file <a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/3_game/dayzexpansion_market/settings/<a class="el" href="../../d0/deb/a01508_source.html">expansionmarketsettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d68/a05269.html">ExpansionMarketSettingsBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
